package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusBlq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 基础数据-避雷器
* @author wuhonghao
* @date 2021/10/17
*/
@Mapper
@Repository
public interface BusBlqMapper {

    /**
    * 新增
    */
    int insert(BusBlq busBlq);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusBlq busBlq);

    /**
    * 获取单个
    */
    BusBlq getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusBlq> getList(BusBlq busBlq);

}
